"use strict";
exports.__esModule = true;
exports.colorPinyinString = void 0;
var getColorForTone_1 = require("./getColorForTone");
var stringify_1 = require("./stringify");
exports.colorPinyinString = function (toneColors, pinyinStringSegments, defaultColor) {
    if (defaultColor === void 0) { defaultColor = 'black'; }
    var ret = [];
    for (var _i = 0, pinyinStringSegments_1 = pinyinStringSegments; _i < pinyinStringSegments_1.length; _i++) {
        var segment = pinyinStringSegments_1[_i];
        if (segment.type === 'TEXT') {
            ret.push({ text: segment.text, color: defaultColor });
        }
        else if (segment.type === 'PINYIN_SYLLABLE') {
            ret.push({
                text: stringify_1.stringifyPinyinSyllable(segment),
                color: getColorForTone_1.getColorForTone({ toneColors: toneColors, tone: segment.tone })
            });
        }
    }
    return ret;
};
